2018-10-20 03:43 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005317gnURL[All Projects] Generalpublic2018-08-17 23:18
Reporterng0 
Assigned Tong0 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Summary0005317: consider switching the configure+build system
DescriptionRight now there are too many merges in configure.ac and Makefiles.

Maybe I am able to skip this by using a different build system combination
and ignore parts of what curl uses.

I am considering bmake,mk-config, and, since we already have bits of
perl in here and almost everyone has perl on their systems: openbsd-pkg-config.
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013217

Florian Dold (manager)

The GNOME project, Xorg, Wayland and systemd have all switched to meson: http://mesonbuild.com/Users.html

That might be a more appropriate replacement.

~0013218

Christian Grothoff (manager)

Eh. No. Please don't. Stick to what upstream is using, we want to keep this a minimal patch. You won't end up with anything nearly as portable without autotools, and you'll have a never-ending nightmare trying to adjust the build system to both upstream changes from cURL and downstream requirements.

Regardless, the real answer remains that we somehow need to get cURL to use a plugin-based architecture, so we can terminate this entire project....

~0013219

ng0 (manager)

I thought I had this closed months ago. Sorry, I don't log in so often into bugs.
What I will have to fix is correctly enforce the configure switches, because too many people are still getting away with old switches and don't bother reading the release notes and readme.
+Notes

-Issue History
Date Modified Username Field Change
2018-04-06 12:15 ng0 New Issue
2018-04-06 12:15 ng0 Status new => assigned
2018-04-06 12:15 ng0 Assigned To => ng0
2018-08-17 13:58 Florian Dold Note Added: 0013217
2018-08-17 23:11 Christian Grothoff Note Added: 0013218
2018-08-17 23:18 ng0 Status assigned => closed
2018-08-17 23:18 ng0 Resolution open => fixed
2018-08-17 23:18 ng0 Note Added: 0013219
+Issue History